package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TDictMajorCommonMapper;
import com.goldenwater.slaj.hazard.domain.TDictMajorCommon;
import com.goldenwater.slaj.hazard.service.ITDictMajorCommonService;

/**
 * 重大通用字典 服务层实现
 */
@Service
public class TDictMajorCommonServiceImpl implements ITDictMajorCommonService {

    @Autowired
    private TDictMajorCommonMapper tDictMajorCommonMapper;

    @Override
    public TDictMajorCommon selectTDictMajorCommonByGuid(String guid) {
        return tDictMajorCommonMapper.selectTDictMajorCommonByGuid(guid);
    }

    @Override
    public List<TDictMajorCommon> selectTDictMajorCommonList(TDictMajorCommon tDictMajorCommon) {
        return tDictMajorCommonMapper.selectTDictMajorCommonList(tDictMajorCommon);
    }

    @Override
    public int insertTDictMajorCommon(TDictMajorCommon tDictMajorCommon) {
        return tDictMajorCommonMapper.insertTDictMajorCommon(tDictMajorCommon);
    }

    @Override
    public int updateTDictMajorCommon(TDictMajorCommon tDictMajorCommon) {
        return tDictMajorCommonMapper.updateTDictMajorCommon(tDictMajorCommon);
    }

    @Override
    public int deleteTDictMajorCommonByGuid(String guid) {
        return tDictMajorCommonMapper.deleteTDictMajorCommonByGuid(guid);
    }

    @Override
    public int deleteTDictMajorCommonByGuids(String[] guids) {
        return tDictMajorCommonMapper.deleteTDictMajorCommonByGuids(guids);
    }
}
